FGJS(1)

NOME
fgjs - utilità joystick di FlightGear

SINTASSI
fgjs [--help] [--fg-root=directoryroot]

DESCRIZIONE
fgjs è un'utilità joystick per il simulatore di volo FlightGear che consente di generare interattivamente un file di configurazione per il proprio joystick. Per utilizzarla, avviare il programma con i joystick connessi. L'utilità per prima cosa richiederà di muovere ogni joystick nella dead band, ossia l'area in cui il joystick è centrato e non dovrebbe generare alcun input. In seguito verrà richiesto di muovere l'asse/premere il pulsante che si preferisce utilizzare per ogni funzione. La configurazione sarà salvata nella directory di lavoro corrente in più file denominati jsI.xml, dove I è il numero progressivo assegnato a ogni joystick rilevato. Sarà necessario spostarli in ~/.fgfs/Input/Joysticks affinché questi vengano utilizzati da FlightGear.

OPZIONI

--help
    Mostra informazioni sull'utilizzo ed esce.

--fg-root=directoryroot
    Imposta la directory radice dei dati di FlightGear ($FG_ROOT) a directoryroot.

VARIABILI D'AMBIENTE

FG_ROOT
    Se FG_ROOT è impostata e --fg-root non è impostato, specifica la directory radice dei dati da utilizzare.

FILE

~/.fgfsrc.hostname, ~/.fgfsrc
    File di configurazione contenenti opzioni della riga di comando per fgfs(1). L'opzione della riga di comando --fg-root è ricercata in tali file se non è fornita come argomento della riga di comando a fgjs.

VEDERE ANCHE
fgfs(1), js_demo(1), la pagina "Joystick" del wiki FlightGear (http://wiki.flightgear.org/Joystick)